/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qwaylandcompositorquickextensions_p.h>
#include <private/qwaylandmousetracker_p.h>
#include <private/qwaylandquickhardwarelayer_p.h>
#include <qwaylandclient.h>
#include <qwaylandcompositor.h>
#include <qwaylandcompositorextension.h>
#include <qwaylanddrag.h>
#include <qwaylandkeymap.h>
#include <qwaylandoutput.h>
#include <qwaylandquickitem.h>
#include <qwaylandquickoutput.h>
#include <qwaylandquickshellsurfaceitem.h>
#include <qwaylandquicksurface.h>
#include <qwaylandresource.h>
#include <qwaylandseat.h>
#include <qwaylandshell.h>
#include <qwaylandshellsurface.h>
#include <qwaylandsurface.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtWayland_Compositor()
{
    qmlRegisterModule("QtWayland.Compositor", 1, 0);
    qmlRegisterModule("QtWayland.Compositor", 1, 254);
    qmlRegisterModule("QtWayland.Compositor", 6, 0);
    qmlRegisterTypesAndRevisions<QWaylandClient>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandCompositor>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandCompositorExtension>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandDrag>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandIdleInhibitManagerV1 *>().id();
    qmlRegisterTypesAndRevisions<QWaylandIdleInhibitManagerV1QuickExtension>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandKeymap>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandMouseTracker>("QtWayland.Compositor", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandObject *>().id();
    qmlRegisterTypesAndRevisions<QWaylandOutput>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandQtTextInputMethodManager *>().id();
    qmlRegisterTypesAndRevisions<QWaylandQtTextInputMethodManagerQuickExtension>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandQtWindowManager *>().id();
    qmlRegisterTypesAndRevisions<QWaylandQtWindowManagerQuickExtension>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandQuickCompositor *>().id();
    qmlRegisterTypesAndRevisions<QWaylandQuickCompositorQuickExtensionContainer>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandQuickHardwareLayer>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandQuickItem>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandQuickOutput>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandQuickShellSurfaceItem>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandQuickSurface>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandResource>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandSeat>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandShell>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandShellSurface>("QtWayland.Compositor", 6);
    qmlRegisterTypesAndRevisions<QWaylandSurface>("QtWayland.Compositor", 6);
    QMetaType::fromType<QWaylandTextInputManager *>().id();
    qmlRegisterTypesAndRevisions<QWaylandTextInputManagerQuickExtension>("QtWayland.Compositor", 6);
    qmlRegisterModule("QtWayland.Compositor", 6, 3);
}

static const QQmlModuleRegistration registration("QtWayland.Compositor", qml_register_types_QtWayland_Compositor);
